This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274744 - Review Request: nodejs-number-is-nan - ES6 Number.isNaN() ponyfill
Review Request: nodejs-number-is-nan - ES6 Number.isNaN() ponyfill
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews Node-RED
  Show dependency treegraph
 
Reported: 2015-10-23 09:32 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-24 18:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-23 09:32:03 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-number-is-nan/nodejs-number-is-nan.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-number-is-nan/nodejs-number-is-nan-1.0.0-1.fc23.src.rpm
Description: ES6 Number.isNaN() ponyfill
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2015-10-23 14:22:47 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/tom/1274744
     -nodejs-number-is-nan/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-number-is-nan-1.0.0-1.fc24.noarch.rpm
          nodejs-number-is-nan-1.0.0-1.fc24.src.rpm
nodejs-number-is-nan.noarch: W: spelling-error Summary(en_US) isNaN -> Nisan
nodejs-number-is-nan.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-number-is-nan.noarch: W: spelling-error %description -l en_US isNaN -> Nisan
nodejs-number-is-nan.noarch: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
nodejs-number-is-nan.noarch: W: only-non-binary-in-usr-lib
nodejs-number-is-nan.src: W: spelling-error Summary(en_US) isNaN -> Nisan
nodejs-number-is-nan.src: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-number-is-nan.src: W: spelling-error %description -l en_US isNaN -> Nisan
nodejs-number-is-nan.src: W: spelling-error %description -l en_US ponyfill -> pony fill, pony-fill, ponytail
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-number-is-nan.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-number-is-nan (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-number-is-nan:
    nodejs-number-is-nan
    npm(number-is-nan)



Source checksums
----------------
https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : f1f66ef4fd6097f9813d7ab578de0dca65cce88ccc9ccd6a9df5e22a76bb27ef
  CHECKSUM(SHA256) upstream package : f1f66ef4fd6097f9813d7ab578de0dca65cce88ccc9ccd6a9df5e22a76bb27ef
https://raw.githubusercontent.com/sindresorhus/number-is-nan/0f394b1bc33185c40304363b209e3f0588dbeeb3/test.js :
  CHECKSUM(SHA256) this package     : a2f0c5a1ab7c50ad9c0e3f1d3ddbc965964273799a44b219fa2f195861aec910
  CHECKSUM(SHA256) upstream package : a2f0c5a1ab7c50ad9c0e3f1d3ddbc965964273799a44b219fa2f195861aec910


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1274744
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-10-23 14:24:00 EDT
The tests are getting included in the final package.

Some rpmlint warnings guess it should be polyfill:

nodejs-number-is-nan.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
Comment 3 Upstream Release Monitoring 2016-02-23 11:59:13 EST
jsmith's scratch build of nodejs-number-is-nan-1.0.0-2.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13108812
Comment 4 Jared Smith 2016-02-23 12:16:43 EST
(In reply to Tom Hughes from comment #2)
> The tests are getting included in the final package.

Fixed in updated package:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-number-is-nan/nodejs-number-is-nan.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-number-is-nan/nodejs-number-is-nan-1.0.0-2.fc24.src.rpm

> 
> Some rpmlint warnings guess it should be polyfill:
> 
> nodejs-number-is-nan.noarch: W: spelling-error Summary(en_US) ponyfill ->
> pony fill, pony-fill, ponytail

It actually is a ponyfill -- see https://ponyfoo.com/articles/polyfills-or-ponyfills for more information on what a ponyfill is.
Comment 5 Tom Hughes 2016-02-23 13:51:10 EST
OK, that looks fine now.
Comment 6 Gwyn Ciesla 2016-02-24 12:06:07 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-number-is-nan

Note You need to log in before you can comment on or make changes to this bug.